Community Packages

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#72820 - [python-spyder-kernels] crash at strrt-up

Attached to Project: Community Packages
Opened by Simon (Giggi) - Tuesday, 23 November 2021, 12:45 GMT
Last edited by Antonio Rojas (arojas) - Saturday, 04 December 2021, 17:55 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Bruno Pagani (ArchangeGabriel)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 2
Private No

Details

Description:
spyder 5.1.5-2 crash at start-up with the following error message:


Traceback (most recent call last):
File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 568, in _build_master
ws.require(__requires__)
File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 886, in require
needed = self.resolve(parse_requirements(requirements))
File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 777, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (jupyter-client 7.0.6 (/usr/lib/python3.9/site-packages), Requirement.parse('jupyter-client<7,>=5.3.4'), {'spyder-kernels'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/spyder", line 33, in <module>
sys.exit(load_entry_point('spyder==5.1.5', 'gui_scripts', 'spyder')())
File "/usr/bin/spyder", line 25, in importlib_load_entry_point
return next(matches).load()
File "/usr/lib/python3.9/importlib/metadata.py", line 77, in load
module = import_module(match.group('module'))
File "/usr/lib/python3.9/importlib/__init__.py", line 127, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
File "<frozen importlib._bootstrap_external>", line 850, in exec_module
File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
File "/usr/lib/python3.9/site-packages/spyder/app/start.py", line 47, in <module>
from spyder.utils.external import lockfile
File "/usr/lib/python3.9/site-packages/spyder/utils/external/lockfile.py", line 31, in <module>
from spyder.utils.programs import is_spyder_process
File "/usr/lib/python3.9/site-packages/spyder/utils/programs.py", line 28, in <module>
import pkg_resources
File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3243, in <module>
def _initialize_master_working_set():
File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3226, in _call_aside
f(*args, **kwargs)
File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3255, in _initialize_master_working_set
working_set = WorkingSet._build_master()
File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 570, in _build_master
return cls._build_from_requirements(__requires__)
File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 583, in _build_from_requirements
dists = ws.resolve(reqs, Environment())
File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 772, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'jupyter-client<7,>=5.3.4' distribution was not found and is required by spyder-kernels



Additional info:
* spyder 5.1.5-2

Steps to reproduce:
open a console and start spyder.
This task depends upon

Closed by  Antonio Rojas (arojas)
Saturday, 04 December 2021, 17:55 GMT
Reason for closing:  Fixed
Additional comments about closing:  spyder-kernels 2.2.0
Comment by Antonio Rojas (arojas) - Tuesday, 23 November 2021, 17:31 GMT Comment by Gergely Tarsoly (tarsolyger) - Monday, 29 November 2021, 03:20 GMT
@arojas
Unfortunately, after manually building 2.2.0, now Spyder complains about the kernels being too high version.

pkg_resources.DistributionNotFound: The 'spyder-kernels<2.2.0,>=2.1.1' distribution was not found and is required by spyder

I've also tried to build a package manually from the newest version (5.2.0) of Spyder from their github (based on the Arch official package PKGBUILD), but that requires half of the Python dependencies on my system to be newer than what's included in the official Arch repositories, so I gave up after repackaging 2 it complained about.

I've also tried to build a package manually from the last version of "python-jupyter_client" that worked (6.1.12) because I've recently purged my pacman cache, and I didn't have the package file from that, but the build fails as "You need to install a suitable plugin for your async framework". So at the moment I couldn't test whether downgrading that package would work or not.
Comment by Skupin Skupin (stefan.skupin) - Monday, 29 November 2021, 15:58 GMT
Downgrading python-jupyter_client to 6.1.12-1 solved this issue for me.
Comment by Felix Salazar (phollox) - Saturday, 04 December 2021, 07:56 GMT
This startup crash has been an issue for a few months with Spyder. The version available in the Archlinux repos has been slightly lagging behind the required packages/dependencies. So spyder complains that the dependencies are too recent. The solution has been downgrading.

Currently, on my system, I'm holding upgrades to these packages, because any update to those will break Spyder

:: Starting full system upgrade...
warning: flake8: ignoring package upgrade (1:3.9.2-2 => 1:4.0.1-1)
warning: python-jupyter_client: ignoring package upgrade (6.1.12-1 => 7.1.0-1)
warning: python-pycodestyle: ignoring package upgrade (2.7.0-2 => 2.8.0-1)
warning: python-pyflakes: ignoring package upgrade (2.3.1-2 => 2.4.0-1)
warning: python-spyder-kernels: ignoring package upgrade (2.1.3-1 => 2.2.0-1)

The next version 5.1.5-3 is currently in staging repos. Upstream is going with 5.2. Best case scenario, I'll still be holding upgrades to spyder-kernels
Comment by Antonio Rojas (arojas) - Saturday, 04 December 2021, 17:55 GMT
This particular issue is fixed with the 2.2.0 spider-kernels update. The remaining spyder issue is tracked in  FS#72913 

Loading...